*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: au-body-font;
}
@font-face {
  font-family: au-body-font;
  src:url(../fonts/uaworld.TTF);
}
a{
  text-decoration: none;
  color: inherit;
}
img{
    width: 100%;
}
::-webkit-scrollbar {
  display: none;
}
::-webkit-scrollbar-track {
  display: none;
}
::-webkit-scrollbar-thumb {
  display: none;
}
.hide{
    display: none !important;
}
body{
    margin: 0;
    padding: 0;
    width: 100%;
    overflow-x: hidden;
    overscroll-behavior: none;
}
.au-header{
    display: flex;
    width: 100%;
    height: 50px;
    padding: 5px;
    background: black;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    z-index: 9999999999;
}
.au-navigation{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    z-index: 9999;
}
.au-navigation hr{
    transform: translateX(0);
    border: none;
    background: rgb(255, 255, 255);
    height: 4px;
    border-radius: 10px;
    transition: all .3s ease;
}
.au-navigation hr:nth-child(1){
    width: 40px;
}
.au-navigation hr:nth-child(2){
    margin: 5px 0;
    width: 30px;
    opacity: 1;
}
.au-navigation hr:nth-child(3){
    width: 20px;
}
#footer{
  position: relative;
  margin-top: -20px;
  width: 100%;
  background:#001729;
  border-radius: 20px 20px 0px 0px;
  color: white;
  padding: 20px 5px 10px;
}
.au-aboutau-footer{
  display: flex;
  justify-content: center;
}
.au-footer-logos{
  display: flex;
  flex-direction: row;
  align-content: center;
  justify-content: space-evenly;
  align-items: center;
  margin-bottom: 10px;
}
.au-footer-logo{
  width: 100px;
  height: 100px;
  overflow: hidden;
}
.au-footer-hr{
  border: none;
  height: 90px;
  width: 2px;
  background: #01a799;
}
#footer p{
  display: flex;
  width: 100%;
  justify-content: center;
}
/*===============================================*/
.au-welcome{
    width: 100%;
    height: calc(100% - 50px);
    background: black;
    color: white;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    align-content: flex-start;
    justify-content: space-around;
}
.au-welcome-img{
    max-width: 400px;
}

.text {
  width: 90%;
  max-width: 500px;
  margin-top: 40px;
}
.text p {
  display: inline-block;
  vertical-align: top;
  margin: 0;
  font-size: calc( 1.7rem + (3 - 2) * ((100vw - 20rem) / (48 - 20)));
}

.word {
  position: absolute;
  display: none;
}
.letter {
  display: inline-block;
  position: relative;
  transform: translateZ(25px);
  transform-origin: 50% 50% 25px;
}

.letter.out {
  transform: rotateX(90deg);
  transition: transform 0.32s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  
}

.letter.behind {
  transform: rotateX(-90deg);
}

.letter.in {
  transform: rotateX(0deg);
  transition: transform 0.38s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
.au-nav-box{
    width: 90%;
    height: 100%;
    max-width: 400px;
    background: #29292975;
    backdrop-filter: blur(5px);
    position: fixed;
    top: 0;
    right: -100%;
    transition: right .3s ease;
    padding: 50px 20px;
    z-index: 1;
}
#navigation:checked ~* .au-nav-box{
    right: 0;
}
#navigation:checked ~ * .au-navigation hr:nth-child(2){
    opacity: 0;
}
#navigation:checked ~ * .au-navigation hr:nth-child(1){
    transform: rotate(45deg) translateY(10px) translateX(8px);
    width: 35px;
}
#navigation:checked ~ * .au-navigation hr:nth-child(3){
    transform: rotate(-45deg) translateY(-4px) translateX(2px);
    width: 35px;
}
.au-nav-list{
  display: flex;
  color: white;
  list-style-type: none;
  flex-direction: column;
}
.au-nav-list a{
  color: white;
  text-decoration: none;
}
.au-nav-list li{
  margin: 10px;
}
#contact{
  background: #98bbc9;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-around;
}
.au-contact{
  padding:30px 0 40px;
  display: flex;
  justify-content: center;
  background: #98bbc9;
  width: 100%;
  max-width: 500px;
}
.contact-title{
  font-size: 30px;
  color: rgb(0, 0, 53);
}
.au-contact form{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding:10px 5px;
  border-radius: 20px;
  width: 90%;
  max-width: 500px;
  background: white;
  box-shadow: 0px 5px 10px 0px rgb(0 0 0 / 20%);
}
.contact-input{
  width: 90%;
  border: none;
  outline: none;
  background: #c7d0e0;
  margin: 10px 0;
  padding: 2px 7px ;
  border-radius: 20px;
  color: black;
  font-size: 15px;
}
.contact-input.name,.contact-input.email{
  height: 35px;
}
.contact-input.message{
  height: 110px;
}
.contact-input.submit{
  padding: 5px 30px;
  font-size: 15px;
  background: radial-gradient(circle at top left, #38c5f0,#019689);
  transition: all 0.3s ease;
  display: flex;
  width: fit-content;
  flex-direction: row;
  align-content: center;
  justify-content: space-between;
  align-items: center;
  font-size: 18px;
}
.contact-input.submit svg{
  margin-left: 10px;
  transform: rotateZ(45deg);
}

.contact-input.submit:hover{
  background: radial-gradient(circle at top right, #38c5f0,#019689);
}
.au-social-media{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px 0px;
}
.social-media-links{
  display: flex;
  flex-direction: row;
  max-width: 400px;
}
.social-media-title{
  font-size: 18px;
}
.social-m-link{
  border:solid 2px #002925;
  border-radius: 50%;
  padding: 5px;
  margin: 10px;
  max-width: 50px;
  max-height: 50px;
}
.social-m-link svg{
  fill: #03293f;
}
.social-m-link svg:hover{
  fill: #c4e5f8;
}
.social-m-link:hover{
  background: #03293f;
}
/*===============================================================================================================*/

#about{
  background: #d6f0f3;
  padding: 50px 0px;
  display: flex;
  flex-direction: column;
  align-content: center;
  align-items: center;
}
.au-about{
  width: 90%;
  max-width: 500px;
  background: radial-gradient(circle at 50% 40px, #92dbfa , #f36192);
  border-radius: 20px;
  padding: 20px 10px 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.5);
}
.au-about-img-holder{
  width: 100px;
  height: 100px;
  border-radius: 50%;
  overflow: hidden;
  background: #019689;
  box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.479);
}
.au-about-img{
  width: 100%;
  height: 100%;
}
.au-about-img-mini{
  position: relative;
  top: -15px;
  right: -25px;
  margin: -10px 0;
  max-width: 30px;
  border-radius: 50%;
  transform: rotate(-90deg) !important;
  background: #c4e5f8;
}
.au-user-name{
  font-size: 25px;
}
.au-user-profession{
  font-size: 15px;
  color: #025c54;
}
.au-about-desc{
  max-width: 350px;
}
.au-about-prof{
  display: flex;
  flex-direction: column;
}
.au-about-prof hr{
  width: 40%;
  border: none;
  height: 2px;
  background: #03293f;
  margin: 2px 0px 5px;
}
/*================================================================*/
#services{
  border-bottom: 1px solid black;
}
.service{
  display: flex;
  justify-content: center;
  padding: 40px 0px;
  background: #d6f0f3;
}
.service-card{
  width: 90%;
  max-width: 800px;
  border-radius: 20px;
  box-shadow: 0 0 12px #27272770;
  background: linear-gradient(#ebdf41,#fc75f0);
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
  overflow: hidden;
}
.service-img-holder{
  width: 100%;
  max-width: 400px;
  background: white;
  overflow: hidden;
}
.service-about{
  padding: 0px 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 400px;
}
.service-title{
  font-size: 20px;
  margin: 5px  0px;
}
.service-contact-btn{
  background: black;
  color: white;
  padding: 5px 10px;
  margin: 15px 0px;
  border-radius: 20px;
}
.service-contact{
  position: fixed;
  bottom: -100%;
  background: #292929a2;
  width: 100%;
  padding: 10px 0px 0px;
  z-index: 999;
  transition: all 0.3s ease;
  background: #d6f0f3;
  border-radius:20px 20px 0px;
}
.service-contact input[type="file"]::-webkit-file-upload-button{
  border: none;
  padding: 5px 10px;
  background: darkcyan;
  border-radius:20px;
  margin: 5px 5px 10px;
  box-shadow: 0px 0px 8px #0000006b;
}
#service-contact:checked ~ *.service-contact{
  bottom: 0;
}
.service-contact form{
  display: flex;
  flex-direction: column;
  align-items: center;
}
/*================================================================*/
#post{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  background: #94cadb;
  padding: 0px 0px 20px;
}
.au-post-card{
  overflow: hidden;
  border-radius: 20px;
  margin: 10px;
  background: #c4e7e1;
  box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.432);
  width: 90%;
  max-width: 400px;
  display: flex;
  flex-direction: column;
}
.post-img-holder{
  height: 300px;
  display: flex;
  width: 100%;
  background: rgb(17, 77, 77);
  flex-direction: column;
  align-items: flex-end;
}
.post-img-holder a{
  margin-right: 5px;
}
.post-img{
  object-fit: scale-down;
	height: 100%;
	width: 100%;
}
.post-download{
  position: relative;
  left: 90%;
}
.post-about{
  padding: 0 10px 10px;
  margin-top: -20px;
}
.post-title{
  font-size: 22px;
  color: rgb(1, 17, 19);
}
.post-desc{
  font-size: 15px;
}
.post-date{
  color: #689696;
  font-size: 14px;
}
.post-user{
  display: flex;
  flex-direction: row;
  align-content: center;
  align-items: center;
  width: 100%;
  padding: 0px 5px 5px;
}
.user-name-date{
  display: flex;
  flex-direction: column;
  margin-left: 5px;
}
.user-name-date a{
  font-size: 16px;
  color: #03293f;
}
.post-user-img{
  max-width: 40px;
  border-radius: 50%;
}
.post-delete-btn{
  border: none;
  outline: none;
  background: radial-gradient(circle at top left, #ff0000, crimson);
  color: white;
  padding: 5px 20px;
  margin: 0px 0px 5px;
  border-radius: 20px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 120px;
  left: calc(50% - 120px/2);
  position: relative;
}

.preview-box{
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background: rgba(51, 51, 51, 0.288);
  backdrop-filter: blur(20px);
  z-index: 2;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.prebox{
  border-radius: 20px;
  padding: 10px;
  height: 78vh;
  max-width: 600px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}
.preview-box embed{
  width: 100%;
  height: 100%;
  object-fit: scale-down;
}
.close{
  background: radial-gradient(circle at top left, #001aff, #0070bf );
  position:fixed;
  display: block;
  text-align: center;
  border-radius: 20px;
  font-size: 2.5vh;
  padding: 5px 10px;
  bottom: 12vh;
  z-index: 9999;
  width:150px;
  left: calc(50% - 150px / 2);
}


.make-post{
  padding: 60px 0px 20px 0px;
  position: fixed;
  top: 0;
  left: 100%;
  width: 100%;
  height:100%;
  background: rgb(219, 218, 218);
}
.make-post-fm{
  display: flex;
  align-content: center;
  align-items: center;
  flex-direction: column;
  flex-wrap: wrap;
  width: 100%;
}
.make-post-form{
  outline: 0;
  height: 40px;
  background: #ffffff59;
  width: 90%;
  max-width: 500px;
  border-bottom: solid 0px cyan;
  color: rgb(0, 20, 26);
  cursor: text;
  font-size: 17px;
  box-shadow: inset -3px -3px 7px #ffffff, inset 3px 3px 5px #787878;
  margin: 10px 0px 10px 0px;
  padding: 1px 2px;
  padding: 0px 14px;
  border-radius: 49px;
  border-right: none;
  border-left: none;
  border-top: none;
  font-family: 'uaworld';
}
.make-post-form-submit:hover,.make-post-form-submit:active{
  box-shadow: -3px -3px 3px 1px #ffffff inset,
              2px 2px 5px #000000 inset;
}
.text{
  height: 110px;
  border-radius: 20px;
  padding: 5px 10px;
}
.make-post-detail{
  border: solid 1px cyan; 
  color:black;
  border-radius: 10px;
  background: rgba(0, 255, 255, 0.226);
  padding:10px;
  margin: 10px;
}
.make-post-form-submit{
  background: #a0c9dd;
  box-shadow: -3px -3px 3px 1px #ffffff,
              2px 2px 5px #000000;
  border: none;
  height: 30px;
  width: 100px;
  border-radius: 20px;
}
#container {
  width: 90%;
  max-width: 500px;
  box-shadow: inset -3px -3px 7px #ffffff, inset 3px 3px 5px #787878;
  margin: auto;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 16px;
  margin-bottom: 20px;
}
input::-webkit-file-upload-button{
  background: #a0c9dd;
  box-shadow: -3px -3px 3px 1px #ffffff,
              2px 2px 5px #000000;
  border: none;
  height: 30px;
  width: 140px;
  margin-bottom: 10px;
  border-radius: 20px;
}
.goforpost{
  display: none;
}
.goforpost::before{
  content: "create post";
  bottom: 10px;
  right: 10px;
  position: fixed;
  padding: 10px;
  border-radius: 20px;
  z-index:99;
  background: radial-gradient(circle at top left, rgb(231, 22, 126), rgb(111, 1, 255));
}
#create-post:checked ~*.goforpost::before{
  content: "see posts";
}
#create-post:checked ~*.make-post{
 left: 0%;
}
#lblGreetings{
  position: absolute;
  text-align: center;
  width:100%;
  background: linear-gradient(90deg,#00000000 10%, cyan 40%, transparent 50%);
 -webkit-background-clip: text;
 background-clip: text;
 -webkit-text-fill-color: transparent;
 animation: greeting-bg 5s ease infinite alternate;
 font-size: 25px;
}
@keyframes greeting-bg {
  0%{background-size: 300px;}
100%{background-size: 600px;}
}
.herftome{
  text-align: center;
  background: radial-gradient(circle at top left, #b400ff,#ff0033);
 -webkit-background-clip: text;
 background-clip: text;
 -webkit-text-fill-color: transparent;
 font-weight: bolder;
 font-size: 120%;
}